Bug 605808 - Review Request: gtick - A Graphical Metronome Software
Review Request: gtick - A Graphical Metronome Software
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randall "Randy" Berry
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 16:09 EDT by Rangeen Basu Roy Chowdhury
Modified: 2010-07-15 17:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: gtick-0.4.2-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 17:08:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
randyn3lrx: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rangeen Basu Roy Chowdhury 2010-06-18 16:09:48 EDT
Spec URL: http://sherry151.fedorapeople.org/gtick.spec
SRPM URL: http://sherry151.fedorapeople.org/gtick-0.4.2-1.fc13.src.rpm
Description: Gtick is a metronome software for Llinux

Koji Scratch Build http://koji.fedoraproject.org/koji/taskinfo?taskID=2258443
Comment 1 Randall "Randy" Berry 2010-06-19 15:45:15 EDT
================================
Key:

[P] Pass
[F] Fail See [n]
[-] Not applicable
[?] Questions (see comments)

================================

[P]  MUST: rpmlint must be run on every package. The output should be
     posted in the review.

      gtick.i686: W: spelling-error %description -l en_US bpm -> pm, bps, rpm
      gtick.i686: W: no-manual-page-for-binary gtickpadsp
      gtick.src: W: spelling-error %description -l en_US bpm -> pm, bps, rpm
      gtick.src: W: no-cleaning-of-buildroot %clean
      gtick.src: W: no-buildroot-tag
      gtick.src: W: no-%clean-section

      3 packages and 1 specfiles checked; 0 errors, 6 warnings.

      A few harmless warnings.

[P]  MUST: The package must be named according to the Package Naming
     Guidelines.

[P]  MUST: The spec file name must match the base package %{name},
     in the format %{name}.spec unless your package has an exemption.

[P]  MUST: The package must meet the Packaging Guidelines.

[P]  MUST: The package must be licensed with a Fedora approved
     license and meet the Licensing Guidelines. GPLv3

[P]  MUST: The License field in the package spec file must match
     the actual license. GPLv3

[P]  MUST: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of
     the license(s) for the package must be included in %doc.

[P]  MUST: The spec file must be written in American English.

[P]  MUST: The spec file for the package MUST be legible.

[P]  MUST: The sources used to build the package must match the upstream
     source, as provided in the spec URL. Reviewers should use md5sum for
     this task. If no upstream URL can be specified for this package,
     please see the Source URL Guidelines for how to deal with this.
 
     md5 hash e85ab8449219b515cc7731cd8b12ac9a
    
[P]  MUST: The package MUST successfully compile and build into binary
     rpms on at least one primary architecture.

[-]  MUST: If the package does not successfully compile, build or work on
     an architecture, then those architectures should be listed in the spec
     in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug
     filed in bugzilla, describing the reason that the package does not
     compile/build/work on that architecture. The bug number MUST be
     placed in a comment, next to the corresponding ExcludeArch line.

[P]  MUST: All build dependencies must be listed in BuildRequires,
     except for any that are listed in the exceptions section of the
     Packaging Guidelines ; inclusion of those as BuildRequires is
     optional. Apply common sense.

[-]  MUST: The spec file MUST handle locales properly. This is done by
     using the %find_lang macro. Using %{_datadir}/locale/[ ] is strictly
     forbidden.

[-]  MUST: Every binary RPM package (or sub package) which stores shared
     library files (not just symlinks) in any of the dynamic linker's
     default paths, must call ldconfig in %post and %postun.

[P]  MUST: If the package is designed to be relocatable, the packager
     must state this fact in the request for review, along with the
     rationalization for relocation of that specific package.
     Without this, use of Prefix: /usr is considered a blocker.

[P]  MUST: A package must own all directories that it creates. If it does not
     create a directory that it uses, then it should require a package which
     does create that directory. Refer to the Guidelines for examples.

[P]  MUST: A package must not contain any duplicate files in the %files
     listing.

[P]  MUST: Permissions on files must be set properly. Executables should
     be set with executable permissions, for example. Every %files section
     must include a %defattr(...) line.

[-]  MUST: The %clean section is not required for F-13 and above. Each package
     for F-12 and below (or EPEL) MUST have a %clean section, which contains
     rm -rf %{buildroot} (or $RPM_BUILD_ROOT).


[P]  MUST: Each package must consistently use macros, as described in the
     macros section of Packaging Guidelines.

[P]  MUST: The package must contain code, or permissible content.
     This is described in detail in the code vs. content section
     of Packaging Guidelines.

[P]  MUST: Large documentation files should go in a -doc sub package.
     (The definition of large is left up to the packager's best judgement,
     but is not restricted to size. Large can refer to either size or quantity)

[P]  MUST: If a package includes something as %doc, it must not affect the
     runtime of the application. To summarize: If it is in %doc, the program
     must run properly if it is not present.

[-]  MUST: Header files must be in a -devel package.

[-]  MUST: Static libraries must be in a -static package.

[-]  MUST: Packages containing pkgconfig(.pc) files must 'Requires:
     pkgconfig' (for directory ownership and usability).

[-]  MUST: If a package contains library files with a suffix
     (e.g. libfoo.so.1.1), then library files that end in .so
     (without suffix) must go in a -devel package.

[-]  MUST: In the vast majority of cases, devel packages must require
     the base package using a fully versioned dependency: Requires:
     %{name} = %{version}-%{release}

[-]  MUST: Packages must NOT contain any .la libtool archives,
     these should be removed in the spec.

[?]  MUST: Packages containing GUI applications must include a
     %{name}.desktop file,and that file must be properly installed
     with desktop-file-install in the %install section. This is described
     in detail in the desktop files section of the Packaging Guidelines.
     If you feel that your packaged GUI application does not need a .desktop
     file, you must put a comment in the spec file with your explanation.
     
      .desktop icon file contains file extension .png
      No version in .desktop should be Version=1.0


[P]  MUST: Packages must not own files or directories already owned by
     other packages. The rule of thumb here is that the first package
     to be installed should own the files or directories that other packages
     may rely upon. This means, for example, that no package in Fedora should
     ever share ownership with any of the files or directories owned by the
     file system or man package. If you feel that you have a good reason to
     own a file or directory that another package owns, then please present
     that at package review time.

[P]  MUST: At the beginning of %install, each package MUST run
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
     See Prepping BuildRoot For %install for details. (For EPEL Only)


[P]  MUST: All file names in rpm packages must be valid UTF-8.

SHOULD Items:

[P]  Should build in mock.
[P]  Should build on all supported archs
[P]  Should function as described.
[P]  Should have sane scriptlets.
[-]  Should have sub packages require base package with fully versioned depend.
[P]  Should have dist tag
[P]  Should package latest version 0.4.2
[P]  Check for outstanding bugs on package. (For core merge reviews)

A few minor issues:
1. .desktop icon includes .png extension this is not necessary.
2. .desktop contains no version number. Should be Version=1.0
Comment 2 Rangeen Basu Roy Chowdhury 2010-06-19 16:52:32 EDT
Updated gtick.pec

Added a gtick.png as icon instead of gnome-multimedia
Added version to .desktop file

Spec URL: http://sherry151.fedorapeople.org/gtick.spec
SRPM URL: http://sherry151.fedorapeople.org/gtick-0.4.2-2.fc13.src.rpm

Gtick uses OSS and can run only if /dev/dsp is present or with OSS emulation using aoss (ALSA) or padsp (Pulse Audio).
Comment 3 Randall "Randy" Berry 2010-06-19 22:59:28 EDT
Looks good now. 

APPROVED
Comment 4 Rangeen Basu Roy Chowdhury 2010-06-20 04:16:46 EDT
New Package CVS Request
=======================
Package Name: gtick
Short Description: A graphical metronome software
Owners: sherry151
Branches: F-13
InitialCC:
Comment 5 Kevin Fenzi 2010-06-20 22:30:24 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Chen Lei 2010-06-21 05:56:23 EDT
Some issues need further address:

1.
BuildRequires: autoconf >= 2.57, pkgconfig are not needed.
2.Mix use of macros
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make INSTALL="install -p" CP="cp -p" DESTDIR=%{buildroot} install


Use make and rm instead of %{__make} %{__rm}

3.Scriptlet are incompleted.

See 

https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

4. changelog

You need to add a blank line beween changelog entities.

5. desktop file

desktop-file install --vendor "" \
        --add-category X-Red-Hat-Base \
        --dir %{buildroot}%{_datadir}/applications \
        %{name}.desktop

Why to add X-Red-Hat-Base?
Categories=GNOME;Application;AudioVideo; 
Application is not valid category, please remove it from desktop file.
Comment 7 Rangeen Basu Roy Chowdhury 2010-06-21 12:54:21 EDT
Updated gtick.pec

Spec URL: http://sherry151.fedorapeople.org/gtick.spec
SRPM URL: http://sherry151.fedorapeople.org/gtick-0.4.2-3.fc13.src.rpm
Comment 8 Fedora Update System 2010-06-21 13:30:11 EDT
gtick-0.4.2-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gtick-0.4.2-3.fc13
Comment 9 Fedora Update System 2010-06-22 13:12:26 EDT
gtick-0.4.2-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtick'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gtick-0.4.2-3.fc13
Comment 10 Fedora Update System 2010-07-15 17:08:15 EDT
gtick-0.4.2-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.